Page 1 of 1

I can NOT install "Pale Moon Browser" For Linux Mint, 19. MATE

Posted: Thu Aug 16, 2018 1:36 pm
by Jørn Rudolph
What have happened ?

I I made a ned system of Linux Mint, 19, MATE

And would install "Pale Moon Browser" for Linux Mint, 19 MATE ...

But something have changed ?

I can't find the usual link,
and can install Pale Moon Browser, as I use to do ...

I an rather confused ...And disappointed ...

Can anyone please help me ???
P:L:E:A:S:E

I miss Pale Moon Browser !

Have a Fine Day - All of You

Re: I can NOT install "Pale Moon Browser" For Linux Mint, 19. MATE

Posted: Thu Aug 16, 2018 3:39 pm
by tenfoot
Hello Jørn Rudolph

I also use Linux Mint v19.0 Mate, with Palemoon as my preferred web browser.

You will find Palemoon in the Package Manager (Synaptic).

Re: I can NOT install "Pale Moon Browser" For Linux Mint, 19. MATE

Posted: Thu Aug 16, 2018 4:20 pm
by all41
The latest release for Palemoon is 28.0 and just released today.
You can get it from
palemoon.org
I use palemoon as a stand-alone self contained application--no installation needed.
This is the link to that file:
http://linux.palemoon.org/download/mainline/
Just right-click the tarball and extract it--it will be contained within a folder named palemoon.
Open that folder and click the palemoon icon and your up and running. Put the folder anywhere you wish
and make a shortcut link to the palemoon launcher in your menu

Re: I can NOT install "Pale Moon Browser" For Linux Mint, 19. MATE

Posted: Fri Aug 17, 2018 7:27 am
by Jørn Rudolph
Thank You - Very much for your reply ...

One more question :

I see, there is 2 different browser to download (or more?)

I have 2 GB Ram ...

That can you suggest I download ?

Re: I can NOT install "Pale Moon Browser" For Linux Mint, 19. MATE

Posted: Fri Aug 17, 2018 8:25 am
by Pierre
which version of LM19 did you install ?. 64bit OR 32 bit ?.

use the same version - - 64bit OR 32 bit - - when you download PaleMoon.
:)
don't get one of the 'Unstable versions' - though.

Re: I can NOT install "Pale Moon Browser" For Linux Mint, 19. MATE

Posted: Fri Aug 17, 2018 1:18 pm
by Jørn Rudolph
Thank You, Pierre ..

I downloaded 32 Bit Linux Mint 19. MATE

As I only have 2 GB Ram ...

Re: I can NOT install "Pale Moon Browser" For Linux Mint, 19. MATE

Posted: Mon Aug 05, 2019 8:45 am
by MontyMan
I had a similar issue to the OP; having used Pale Moon in multiple environments including 64-bit Mint MATE 19.0, I can go into the software manager and find it there easily, with the green check-mark indicating it was installed through the GUI not manually. But now I have installed 64-bit Mint MATE 19.1 into another computer, and Pale Moon does not appear in the software manager when I search. The repositories for the two computers appear the same, and I don't recall any advanced installation required, or additional repository added just for Pale Moon.

Worked around by downloading the tarball and running as portable, hoping to find a way to get it through the software package manager going forward. Any ideas? Thanks,
..MontyMan.

Re: I can NOT install "Pale Moon Browser" For Linux Mint, 19. MATE

Posted: Mon Aug 05, 2019 6:11 pm
by karlchen
Pale Moon for Linux
=> Installation
=> Pale Moon repositories for Debian and Ubuntu -- maintained by Steve Pusser
=> Ubuntu
=> either Add the Repository (for xUbuntu 18.04) and install
=> or download the .deb package for xUbuntu 18.04 and install it

Why you should opt for adding the repository and installing from there:
Only in this case Pale Moon updates will be offered in Update Manager like any other software update automatically.

Re: I can NOT install "Pale Moon Browser" For Linux Mint, 19. MATE

Posted: Mon Aug 05, 2019 7:04 pm
by Pierre
as well as PaleMoon - you can also try out SlimJet:
https://www.slimjet.com/
as that is available as *.deb files, for an easier installation.

Re: I can NOT install "Pale Moon Browser" For Linux Mint, 19. MATE

Posted: Mon Aug 05, 2019 9:02 pm
by sleeper12
Pierre wrote:
Mon Aug 05, 2019 7:04 pm
as well as PaleMoon - you can also try out SlimJet:
https://www.slimjet.com/
as that is available as *.deb files, for an easier installation.
Just a heads up. Slimjet 32 bit currently has no sound. Hope they fix it, but it's been quite a while now.

[Solved] I can NOT install "Pale Moon Browser" For Linux Mint, 19. MATE

Posted: Tue Aug 06, 2019 11:39 am
by MontyMan
Thanks! I thought that if I had done that under 19.0, I would see it within the "added repositories" tab, which I do not. But at least this is a workaround to bring this back to 19.1, if it's not there automatically! Best, ...Monty.